Bug 1302994 - [RFE] Additional macro support in foreman to install the right support software
[RFE] Additional macro support in foreman to install the right support software
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning Templates (Show other bugs)
6.1.5
All Linux
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-29 04:08 EST by Kumudini Shirsale
Modified: 2018-06-18 02:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20572 None None None 2017-08-13 16:59 EDT

  None (edit)
Description Kumudini Shirsale 2016-01-29 04:08:01 EST
Description of problem:

- Customer is attempting to write a Finish script where it detects which hardware platform the system is being provisioned on (in his case VMware and bare metal on HP ProLiant ) in order to install the right support software (VMware Tools vs ProLiant Support Pack) 


Version-Release number of selected component (if applicable)

Red Hat Satellite 6.1.5


Actual results:
No such supported Marco currently.

Expected results:
There should be marco defined for foreman to detect which hardware platform the system is being provisioned on


Additional info:
Checked in Foreman: http://projects.theforeman.org/projects/foreman/wiki/templatewriting there is no such supported Marco.
Comment 3 Tomas Strachota 2017-08-13 16:59:02 EDT
Created redmine issue http://projects.theforeman.org/issues/20572 from this bug

Note You need to log in before you can comment on or make changes to this bug.